% genero il numero di punti da una distribuzione di poisson
lambda = 1; T = 30;
NN  =poissrnd(lambda*T); % campionamento di Poiss(lambda*T)

clear S
% il primo punto lo estraggo da distribuzione uniforme tra 0 e T
S(1) = T*rand(1);
i=2;
N = 0;
% anche gli altri punti vengono estratti dalla stessa distribuzione
% uniforme, ma solo se non coincidono con un punto già estratto
while i < NN
	RANDOM_DATA = T*rand(1);
    controllo = 1;
	for j = 1:i-1
		if RANDOM_DATA == S(j)
            controllo = 0;
        end        
    end
    if controllo
        	 S = [S RANDOM_DATA];
			i = i+1;
            N = [N, i];
    end
end

% ordino in maniera crescente i punti estratti
S = sort(S);

figure
stairs(S,N)
figure
subplot(3,1,1)
plot(sort(S))
subplot(3,1,2)
hist(S)
subplot(3,1,3)
HIST(S(2:end)-S(1:end-1))
